/* vim:set ts=4: */

#ifndef	_SVCLIENT_H_
#define	_SVCLIENT_H_

#define	MAXDEVICE		(16)			// foCX
#define	SVC_PORT		(10008)			// UDP|[g

#define	CMD_TEST		(0x00)			// eXgR}h
#define	CMD_GET			(0x01)			// 擾R}h
#define	CMD_STOP		(0x10)			// ~R}h

#define	RDY_NG			(0x00)			// SMART NG
#define	RDY_OK			(0x01)			// SMART OK

typedef	enum
{
	HDS_GOOD		= 0,
	HDS_WARNING		= 1,
	HDS_DANGER		= 2,
	HDS_ERROR		= 3
} HDDSTATUS;

typedef	struct	// MAXDEVICE̔zƂėp
{
	char 	Ready;					// SMART (NG/OK)
	char 	TempCur;				// ݂̉x
	char 	TempMax;				// ő̉x
	char	Status;					// Xe[^X (HDDSTATUS)
	char	Usage;					// fBXNgp ()
	char	Reserve[3];				// U[u
	long 	A05;					// 05:Reallocated Sector Count
	long 	A09;					// 09:Power-on Time Count
	long 	AC4;					// C4:Reallocation Event Count
	long 	AC5;					// C5:Current Pending Sector Count
	long 	AC6;					// C6:Off-Line Scan Uncorrectable Sector Count
	char	szModelNumber[64];		// f̕
	char	szFirmwareRev[16];		// t@[EFA
	char	szSerialNumber[32];		// VAԍ
	char	szDriveLetters[64];		// hCu
} HDTEMP, *PHDTEMP, *LPHDTEMP;

#endif	// _SVCLIENT_H_
